//////////////////////////////////////////////////////////////////////////////////	 
//本程序只供学习使用，未经作者许可，不得用于其它任何用途
//中景园电子
//店铺地址：http://shop73023976.taobao.com/?spm=2013.1.0.0.M4PqC2
//
//  文 件 名   : oled.c
//  版 本 号   : v2.0
//  作    者   : HuangKai
//  生成日期   : 2018-0101
//  最近修改   : 
//  功能描述   : 1.5寸OLED IIC接口演示例程(MSP430F149系列)
//  驱动IC     :SSD1327
//特别说明 ：本模块默认为SPI接口；如果想用IIC接口需要客户做以下配置
//              1.将背面的SPI位置电阻换到IIC位置，R3用0欧姆电阻或是将R3两端直接用锡短接
//              2.CS,DC管脚接地，本程序直接通过io将DC,CS拉低了。DC管脚可以用来设置IIC从设备的地址，有兴趣的朋友可以研究一下SSD1327芯片规格书
//              3.RES管脚非常重要，需要用一个io来控制；在屏上电以后做一次复位；然后保持高电平对屏进行初始化
//              说明: 
//              ----------------------------------------------------------------
//              GND    电源地
//              VCC  接5V或3.3v电源
//              SCL  P54（时钟）
//              SDA   P53数据）
//              RES  接P52
//              DC   接P51 可直接接地
//              CS   接P50  可直接接地           
//              ----------------------------------------------------------------
// 修改历史   :
// 日    期   : 
// 作    者   : HuangKai
// 修改内容   : 创建文件
//版权所有，盗版必究。
//Copyright(C) 中景园电子2018/3/16
//All rights reserved
//******************************************************************************/
#include	<io430.h>

#include "oled.h"
#include "bmp.h"
int main( void )
 {	WDTCTL = WDTPW + WDTHOLD;

         u8 t;
         Initial_ssd1327();
         //ClearLED(0xFF);
	//Delay(500);
	while(1)
	{
LED_Clr();
		ClearLED(0x00);
 OPEN_DC_POWER();
		    OLED_ShowCHinese(4,0,0);//?D
				OLED_ShowCHinese(12,0,1);//?°
				OLED_ShowCHinese(20,0,2);//?°
				OLED_ShowCHinese(28,0,3);//μ?
			OLED_ShowCHinese(36,0,4);//×ó
				OLED_ShowCHinese(44,0,5);//1?
				OLED_ShowCHinese(52,0,6);//??
                                LED_Set();
			OLED_ShowString(0,32,"ZHONGJINGY.TECH");
		  OLED_ShowString(0,52,"M150-128X128TECH");
		OLED_ShowString(0,72,"16Gray Scale Dot");

			Delay(500);
		ClearLED(0x88);
	
 //OLED_DrawBMP(0,0,47,95,BMP);
// Write_Register(0xb5);
// Write_Register(0x03);
		Delay(500);
		ClearLED(0);
// OLED_DrawBMP(0,0,0x3F,0x7f,BMP2);
  OFF_DC_POWER();
		Delay(500);
	//	Rainbow ();
			Delay(500);
	}
}
